Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.versioned
Class DistributedListState

    java.lang.Object
      org.jboss.aspects.versioned.StateManager
          org.jboss.aspects.versioned.CollectionStateManager
              org.jboss.aspects.versioned.DistributedListState

All Implemented Interfaces:
  Collection, DistributedState, Externalizable, List, Serializable

public class DistributedListState
extends CollectionStateManager
implements List, DistributedState, Externalizable

Version:
  $Revision: 1.1.4.5 $
Author:
  Bill Burke
See Also:
  Serialized Form

Field Summary
`protected List` | `base`
`protected String` | `classname`
`protected static org.jboss.logging.Logger` | `log`
`protected org.jboss.aop.proxy.ClassProxy` | `proxy`
`protected SynchronizationManager` | `synchManager`
`protected TransactionManager` | `tm`
`protected org.jboss.tm.TransactionLocal` | `txState`
`protected org.jboss.tm.TransactionLocal` | `txVersion`
`protected ArrayList` | `updates`
`protected long` | `versionId`
`protected DistributedVersionManager` | `versionManager`

Fields inherited from class org.jboss.aspects.versioned.CollectionStateManager
`methodMap`

Fields inherited from class org.jboss.aspects.versioned.StateManager
`guid, lock, STATE_MANAGER, timeout`

Constructor Summary
`DistributedListState()` For serialization
`DistributedListState(org.jboss.util.id.GUID guid, long timeout, org.jboss.aop.proxy.ClassProxy proxy, List obj, DistributedVersionManager versionManager, SynchronizationManager synchManager)`

Method Summary
`void` | `add(int index, Object val)`
`boolean` | `add(Object val)`
`boolean` | `addAll(Collection c)`
`boolean` | `addAll(int index, Collection c)`
`org.jboss.aop.InstanceAdvised` | `buildObject(SynchronizationManager manager, DistributedVersionManager versionManager)`
`void` | `checkOptimisticLock(Transaction tx)`
`void` | `clear()`
`boolean` | `contains(Object o)`
`boolean` | `containsAll(Collection c)`
`protected ArrayList` | `createListUpdates(List state)`
`DistributedUpdate` | `createTxUpdate(Transaction tx)`
`boolean` | `equals(Object o)`
`Object` | `get(int i)`
`protected List` | `getCurrentState(boolean forUpdate)`
`HashMap` | `getMethodMap()`
`org.jboss.aop.InstanceAdvised` | `getObject()`
`int` | `hashCode()`
`int` | `indexOf(Object o)`
`boolean` | `isEmpty()`
`Iterator` | `iterator()`
`int` | `lastIndexOf(Object o)`
`ListIterator` | `listIterator()`
`ListIterator` | `listIterator(int index)`
`void` | `mergeState(DistributedUpdate update)`
`void` | `mergeState(Transaction tx)`
`void` | `readExternal(ObjectInput in)`
`Object` | `remove(int index)`
`boolean` | `remove(Object o)`
`boolean` | `removeAll(Collection c)`
`boolean` | `retainAll(Collection c)`
`Object` | `set(int index, Object element)`
`int` | `size()`
`List` | `subList(int fromIndex, int toIndex)`
`Object[]` | `toArray()`
`Object[]` | `toArray(Object[] a)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class org.jboss.aspects.versioned.CollectionStateManager
`isManagerMethod, isManagerMethod`

Methods inherited from class org.jboss.aspects.versioned.StateManager
`acquireReadLock, acquireWriteLock, getGUID, getLock, getStateManager, releaseReadLock, releaseWriteLock, setStateManager`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.aspects.versioned.DistributedState
`acquireReadLock, acquireWriteLock, getGUID, releaseReadLock, releaseWriteLock`

Field Detail

### log

    protected static org.jboss.logging.Logger log

### versionId

    protected volatile long versionId

### updates

    protected ArrayList updates

### classname

    protected String classname

### base

    protected transient List base

### txState

    protected transient org.jboss.tm.TransactionLocal txState

### txVersion

    protected transient org.jboss.tm.TransactionLocal txVersion

### versionManager

    protected transient DistributedVersionManager versionManager

### synchManager

    protected transient SynchronizationManager synchManager

### tm

    protected transient TransactionManager tm

### proxy

    protected transient org.jboss.aop.proxy.ClassProxy proxy

Constructor Detail

### DistributedListState

    public DistributedListState()

  For serialization

### DistributedListState

    public DistributedListState(org.jboss.util.id.GUID guid,
                                long timeout,
                                org.jboss.aop.proxy.ClassProxy proxy,
                                List obj,
                                DistributedVersionManager versionManager,
                                SynchronizationManager synchManager)
                         throws Exception

Method Detail

### getMethodMap

    public HashMap getMethodMap()

  Specified by:
    `getMethodMap` in class `CollectionStateManager`

### getObject

    public org.jboss.aop.InstanceAdvised getObject()

  Specified by:
    `getObject` in interface `DistributedState`

### getCurrentState

    protected List getCurrentState(boolean forUpdate)
                            throws Exception

  Throws:
    `Exception`

### createListUpdates

    protected ArrayList createListUpdates(List state)

### createTxUpdate

    public DistributedUpdate createTxUpdate(Transaction tx)

  Specified by:
    `createTxUpdate` in interface `DistributedState`

### buildObject

    public org.jboss.aop.InstanceAdvised buildObject(SynchronizationManager manager,
                                                     DistributedVersionManager versionManager)
                                              throws Exception

  Specified by:
    `buildObject` in interface `DistributedState`
  Throws:
    `Exception`

### checkOptimisticLock

    public void checkOptimisticLock(Transaction tx)

  Specified by:
    `checkOptimisticLock` in interface `DistributedState`

### mergeState

    public void mergeState(Transaction tx)
                    throws Exception

  Specified by:
    `mergeState` in interface `DistributedState`
  Throws:
    `Exception`

### mergeState

    public void mergeState(DistributedUpdate update)
                    throws Exception

  Specified by:
    `mergeState` in interface `DistributedState`
  Throws:
    `Exception`

### add

    public boolean add(Object val)

  Specified by:
    `add` in interface `List`

### add

    public void add(int index,
                    Object val)

  Specified by:
    `add` in interface `List`

### addAll

    public boolean addAll(Collection c)

  Specified by:
    `addAll` in interface `List`

### addAll

    public boolean addAll(int index,
                          Collection c)

  Specified by:
    `addAll` in interface `List`

### clear

    public void clear()

  Specified by:
    `clear` in interface `List`

### contains

    public boolean contains(Object o)

  Specified by:
    `contains` in interface `List`

### containsAll

    public boolean containsAll(Collection c)

  Specified by:
    `containsAll` in interface `List`

### equals

    public boolean equals(Object o)

  Specified by:
    `equals` in interface `List`

### get

    public Object get(int i)

  Specified by:
    `get` in interface `List`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `List`

### indexOf

    public int indexOf(Object o)

  Specified by:
    `indexOf` in interface `List`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `List`

### iterator

    public Iterator iterator()

  Specified by:
    `iterator` in interface `List`

### lastIndexOf

    public int lastIndexOf(Object o)

  Specified by:
    `lastIndexOf` in interface `List`

### listIterator

    public ListIterator listIterator()

  Specified by:
    `listIterator` in interface `List`

### listIterator

    public ListIterator listIterator(int index)

  Specified by:
    `listIterator` in interface `List`

### remove

    public Object remove(int index)

  Specified by:
    `remove` in interface `List`

### remove

    public boolean remove(Object o)

  Specified by:
    `remove` in interface `List`

### removeAll

    public boolean removeAll(Collection c)

  Specified by:
    `removeAll` in interface `List`

### retainAll

    public boolean retainAll(Collection c)

  Specified by:
    `retainAll` in interface `List`

### set

    public Object set(int index,
                      Object element)

  Specified by:
    `set` in interface `List`

### size

    public int size()

  Specified by:
    `size` in interface `List`

### subList

    public List subList(int fromIndex,
                        int toIndex)

  Specified by:
    `subList` in interface `List`

### toArray

    public Object[] toArray()

  Specified by:
    `toArray` in interface `List`

### toArray

    public Object[] toArray(Object[] a)

  Specified by:
    `toArray` in interface `List`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Overrides:
    `writeExternal` in class `CollectionStateManager`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Overrides:
    `readExternal` in class `CollectionStateManager`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.